## r-cran-profvis 0.3.7+dfsg

=== DESCRIPTION ===
Package: profvis
Title: Interactive Visualizations for Profiling R Code
Version: 0.3.7
Authors@R: c(
    person("Winston", "Chang", email = "winston@rstudio.com", role = c("aut", "cre")),
    person("Javier", "Luraschi", email = "javier@rstudio.com", role = "aut"),
    person("Timothy", "Mastny", role = "aut"),
    person(family = "RStudio", role = "cph"),
    person(family = "jQuery Foundation", role = "cph", comment = "jQuery library"),
    person(family = "jQuery contributors", role = c("ctb", "cph"), comment = "jQuery library; authors listed in inst/www/shared/jquery-AUTHORS.txt"),
    person("Mike", "Bostock", role = c("ctb", "cph"), comment = "D3 library"),
    person(family = "D3 contributors", role = "ctb", comment = "D3 library"),
    person("Ivan", "Sagalaev", role = c("ctb", "cph"), comment = "highlight.js library")
    )
Description: Interactive visualizations for profiling R code.
Depends: R (>= 3.0)
Imports: htmlwidgets (>= 0.3.2), stringr
License: GPL-3 | file LICENSE
Suggests: knitr, ggplot2, rmarkdown, testthat, devtools, shiny,
        htmltools
RoxygenNote: 7.1.0
URL: https://rstudio.github.io/profvis/
Encoding: UTF-8
NeedsCompilation: yes
Packaged: 2020-11-02 15:00:02 UTC; winston
Author: Winston Chang [aut, cre],
  Javier Luraschi [aut],
  Timothy Mastny [aut],
  RStudio [cph],
  jQuery Foundation [cph] (jQuery library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/www/shared/jquery-AUTHORS.txt),
  Mike Bostock [ctb, cph] (D3 library),
  D3 contributors [ctb] (D3 library),
  Ivan Sagalaev [ctb, cph] (highlight.js library)
Maintainer: Winston Chang <winston@rstudio.com>
Repository: CRAN
Date/Publication: 2020-11-02 18:30:02 UTC

=== debian/changelog ===
r-cran-profvis (0.3.7+dfsg-2) unstable; urgency=medium

  * Packaging update
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Set upstream metadata fields: Archive.

 -- Andreas Tille <tille@debian.org>  Sun, 07 Aug 2022 22:02:21 +0200

r-cran-profvis (0.3.7+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #1015904)

 -- Andreas Tille <tille@debian.org>  Sat, 23 Jul 2022 17:44:00 +0200

=== debian/control ===
Source: r-cran-profvis
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-htmlwidgets,
               r-cran-stringr
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-profvis
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-profvis.git
Homepage: https://cran.r-project.org/package=profvis
Rules-Requires-Root: no

Package: r-cran-profvis
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         libjs-d3,
         libjs-highlight.js,
         libjs-jquery
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: interactive visualizations for profiling GNU R code
 Interactive visualizations for profiling R code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dh-r/r-cran.mk

%:
	dh $@ --buildsystem R

override_dh_link:
	dh_link
	dh_link /usr/share/javascript/d3/d3.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/d3/d3.min.js
	dh_link /usr/share/javascript/jquery/jquery.min.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/jquery/jquery.min.js
	dh_link /usr/share/javascript/highlight.js/highlight.js $(debRdir)/$(cranNameOrig)/htmlwidgets/lib/highlight/highlight.js

## r-cran-profvis 0.3.8+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: profvis
 Title: Interactive Visualizations for Profiling R Code
-Version: 0.3.7
+Version: 0.3.8
 Authors@R: c(
     person("Winston", "Chang", email = "winston@rstudio.com", role = c("aut", "cre")),
     person("Javier", "Luraschi", email = "javier@rstudio.com", role = "aut"),
@@ -14,15 +14,17 @@
     )
 Description: Interactive visualizations for profiling R code.
 Depends: R (>= 3.0)
-Imports: htmlwidgets (>= 0.3.2), stringr
+Imports: htmlwidgets (>= 0.3.2), purrr, rlang (>= 0.4.9), stringr,
+        vctrs
 License: GPL-3 | file LICENSE
-Suggests: knitr, ggplot2, rmarkdown, testthat, devtools, shiny,
-        htmltools
-RoxygenNote: 7.1.0
+Suggests: knitr, ggplot2, rmarkdown, testthat (>= 3.0.0), devtools,
+        shiny, htmltools
+RoxygenNote: 7.2.3
 URL: https://rstudio.github.io/profvis/
 Encoding: UTF-8
+Config/testthat/edition: 3
 NeedsCompilation: yes
-Packaged: 2020-11-02 15:00:02 UTC; winston
+Packaged: 2023-05-01 20:58:47 UTC; winston
 Author: Winston Chang [aut, cre],
   Javier Luraschi [aut],
   Timothy Mastny [aut],
@@ -35,4 +37,4 @@
   Ivan Sagalaev [ctb, cph] (highlight.js library)
 Maintainer: Winston Chang <winston@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-11-02 18:30:02 UTC
+Date/Publication: 2023-05-02 18:00:02 UTC

=== debian/changelog ===
r-cran-profvis (0.3.8+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 14:56:13 +0200

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,11 @@
                dh-r,
                r-base-dev,
                r-cran-htmlwidgets,
-               r-cran-stringr
-Standards-Version: 4.6.1
+               r-cran-purrr,
+               r-cran-rlang,
+               r-cran-stringr,
+               r-cran-vctrs
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-profvis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-profvis.git
 Homepage: https://cran.r-project.org/package=profvis

## r-cran-profvis 0.4.0+dfsg

=== DESCRIPTION ===
Package: profvis
Title: Interactive Visualizations for Profiling R Code
Version: 0.4.0
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = c("aut", "cre")),
    person("Winston", "Chang", role = "aut"),
    person("Javier", "Luraschi", role = "aut"),
    person("Timothy", "Mastny", role = "aut"),
    person("Posit Software, PBC", role = c("cph", "fnd")),
    person(, "jQuery Foundation", role = "cph",
           comment = "jQuery library"),
    person(, "jQuery contributors", role = c("ctb", "cph"),
           comment = "jQuery library; authors listed in inst/htmlwidgets/lib/jquery/AUTHORS.txt"),
    person("Mike", "Bostock", role = c("ctb", "cph"),
           comment = "D3 library"),
    person(, "D3 contributors", role = "ctb",
           comment = "D3 library"),
    person("Ivan", "Sagalaev", role = c("ctb", "cph"),
           comment = "highlight.js library")
  )
Description: Interactive visualizations for profiling R code.
License: MIT + file LICENSE
URL: https://profvis.r-lib.org, https://github.com/r-lib/profvis
BugReports: https://github.com/r-lib/profvis/issues
Depends: R (>= 4.0)
Imports: htmlwidgets (>= 0.3.2), rlang (>= 1.1.0), vctrs
Suggests: htmltools, knitr, rmarkdown, shiny, testthat (>= 3.0.0)
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate, rmarkdown
Config/testthat/edition: 3
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2024-09-19 19:26:06 UTC; hadleywickham
Author: Hadley Wickham [aut, cre],
  Winston Chang [aut],
  Javier Luraschi [aut],
  Timothy Mastny [aut],
  Posit Software, PBC [cph, fnd],
  jQuery Foundation [cph] (jQuery library),
  jQuery contributors [ctb, cph] (jQuery library; authors listed in
    inst/htmlwidgets/lib/jquery/AUTHORS.txt),
  Mike Bostock [ctb, cph] (D3 library),
  D3 contributors [ctb] (D3 library),
  Ivan Sagalaev [ctb, cph] (highlight.js library)
Maintainer: Hadley Wickham <hadley@posit.co>
Repository: CRAN
Date/Publication: 2024-09-20 11:50:10 UTC

=== debian/changelog ===
r-cran-profvis (0.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Thu, 10 Oct 2024 08:52:58 +0900

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-htmlwidgets,
-               r-cran-purrr,
-               r-cran-rlang,
-               r-cran-stringr,
+               r-cran-rlang (>= 1.1.0),
                r-cran-vctrs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-profvis
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-profvis.git
 Homepage: https://cran.r-project.org/package=profvis

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-htmltools,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-shiny,
        r-cran-testthat (>= 3.0.0)
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  https://cloud.r-project.org/src/contrib/profvis_([-\d.]*)\.tar\.gz
